# tbb::interface5::concurrent_unordered_multimap< Key, T, Hasher, Key_equality, Allocator > Class Template Reference

List of all members.

## Public Types
typedef Key | key_type
typedef base_type::value_type | value_type
typedef T | mapped_type
typedef Hasher | hasher
typedef Key_equality | key_equal
typedef hash_compare | key_compare
typedef base_type::allocator_type | allocator_type
typedef base_type::pointer | pointer
typedef base_type::const_pointer | const_pointer
typedef base_type::reference | reference
typedef base_type::const_reference | const_reference
typedef base_type::size_type | size_type
typedef base_type::difference_type | difference_type
typedef base_type::iterator | iterator
typedef base_type::const_iterator | const_iterator
typedef base_type::iterator | local_iterator
typedef base_type::const_iterator | const_local_iterator
## Public Member Functions
| concurrent_unordered_multimap (size_type n_of_buckets=8, const hasher &_Hasher=hasher(), const key_equal &_Key_equality=key_equal(), const allocator_type &a=allocator_type())
| concurrent_unordered_multimap (const Allocator &a)
template<typename Iterator >
| concurrent_unordered_multimap (Iterator first, Iterator last, size_type n_of_buckets=8, const hasher &_Hasher=hasher(), const key_equal &_Key_equality=key_equal(), const allocator_type &a=allocator_type())
| concurrent_unordered_multimap (const concurrent_unordered_multimap &table)
| concurrent_unordered_multimap (const concurrent_unordered_multimap &table, const Allocator &a)
concurrent_unordered_multimap & | operator= (const concurrent_unordered_multimap &table)
iterator | unsafe_erase (const_iterator where)
size_type | unsafe_erase (const key_type &key)
iterator | unsafe_erase (const_iterator first, const_iterator last)
void | swap (concurrent_unordered_multimap &table)
hasher | hash_function () const
key_equal | key_eq () const

### template<typename Key, typename T, typename Hasher = tbb::tbb_hash<Key>, typename Key_equality = std::equal_to<Key>, typename Allocator = tbb::tbb_allocator<std::pair<const Key, T> >>
class tbb::interface5::concurrent_unordered_multimap< Key, T, Hasher, Key_equality, Allocator >

The documentation for this class was generated from the following file:

- concurrent_unordered_map.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.